# Tom Wexler
# Sept 6 2013
# Examples demonstrating assignment statements.

def main() :
    x = 7
    print("x =",x)      # output: x = 7
    x = x + 1
    print("x =",x)      # output: x = 8
    y = x - 3
    print("x =",x)      # output: x = 8
    print("y =",y)      # output: y = 5
    #z = z + 1          # this would produce an error
    
    x = 3
    y = 7
    # here's a flawed attempt at swapping two values
    x = y
    y = x
    print("x =",x)
    print("y =",y)
    # both x and y are 7, since the 3 was overwritten
    
    x = 3
    y = 7
    # here's a better version
    temp = x
    x = y
    y = temp
    print("x =",x)
    print("y =",y)
    # temp (or whatever you choose to call it) saves the 3 while the 7 gets swapped over
    
    x = 3
    y = 7
    # python also supports simultaneous assignment, which is a nifty shorthand for the above technique
    x,y = y,x
    print("x =",x)
    print("y =",y)
    
    x = 10-2*3
    print("x =",x)  # output: x = 4.  Due to order of operations, multiplication happens before subtraction.
    x = (10-2)*3
    print("x =",x)  # output: x = 24.  Parens can be used to force order of operations.
    
main()
